# Class CIM_PolicyConditionInPolicyRepository
extends CIM_PolicyInSystem

The ReusablePolicy association is a more general relationship that incorporates both Conditions and Actions as well as any other policy subclass. This class represents the hosting of reusable PolicyConditions by a PolicyRepository. A reusable Policy Condition is always related to a single PolicyRepository, via this association. Note, that an instance of PolicyCondition can be either reusable or rule-specific. When the Condition is rule- specific, it shall not be related to any PolicyRepository via the PolicyConditionInPolicyRepository association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_HostedDependency
|
+--CIM_PolicyInSystem
|
+--CIM_PolicyConditionInPolicyRepository

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_ReusablePolicy

Description

string

The ReusablePolicy association is a more general relationship that incorporates both Conditions and Actions as well as any other policy subclass. This class represents the hosting of reusable PolicyConditions by a PolicyRepository. A reusable Policy Condition is always related to a single PolicyRepository, via this association. Note, that an instance of PolicyCondition can be either reusable or rule-specific. When the Condition is rule- specific, it shall not be related to any PolicyRepository via the PolicyConditionInPolicyRepository association.

UMLPackagePath | string | CIM::Policy
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_PolicyConditionInPolicyRepository | CIM_PolicyRepository
Dependent | CIM_PolicyConditionInPolicyRepository | CIM_PolicyCondition

## Class Methods